import * as React from 'react';
import type { ImageSourcePropType } from 'react-native';
declare type AvatarProps = {
    size?: number;
    source: ImageSourcePropType;
};
/**
 * Avatar component that shows round icon of a given image
 *
 * ```js
 * import * as React from 'react'
 * import { View } from 'react-native';
 * import { Avatar } from 'react-native-sketchbook'
 *
 * export const Example = () => {
 *   return (
 *     <View>
 *       <Avatar size={50} source={require('../assets/example.png')}/>
 *     </View>
 *   )
 * }
 * ```
 */
export declare const Avatar: React.FC<AvatarProps>;
export {};
//# sourceMappingURL=Avatar.d.ts.map