"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Avatar = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
/**
 * Avatar component that shows round icon of a given image
 *
 * ```js
 * import * as React from 'react'
 * import { View } from 'react-native';
 * import { Avatar } from 'react-native-sketchbook'
 *
 * export const Example = () => {
 *   return (
 *     <View>
 *       <Avatar size={50} source={require('../assets/example.png')}/>
 *     </View>
 *   )
 * }
 * ```
 */
const Avatar = ({ size = 36, source }) => {
    return (React.createElement(react_native_1.View, { style: [
            {
                width: size,
                height: size,
                borderRadius: size / 2,
            },
        ] },
        React.createElement(react_native_1.Image, { source: source, style: { width: size, height: size, borderRadius: size / 2 } })));
};
exports.Avatar = Avatar;
