import * as React from 'react';
declare type AvatarGroupProps = {
    space?: number;
};
/**
 * Shows Group of Avatars, slightly stacked on top of each other
 *
 * ```js
 * import * as React from 'react'
 * import { Avatar, AvatarGroup } from 'react-native-sketchbook'
 *
 * export const Example = () => {
 *   return (
 *     <AvatarGroup>
 *       <Avatar size={50} source={require('../assets/example1.png')}/>
 *       <Avatar size={50} source={require('../assets/example2.png')}/>
 *       <Avatar size={50} source={require('../assets/example3.png')}/>
 *       <Avatar size={50} source={require('../assets/example4.png')}/>
 *     </AvatarGroup>
 *   )
 * }
 * ```
 */
export declare const AvatarGroup: React.FC<AvatarGroupProps>;
export {};
//# sourceMappingURL=AvatarGroup.d.ts.map