"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AvatarGroup = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const Row_1 = require("../Utils/Row");
/**
 * Shows Group of Avatars, slightly stacked on top of each other
 *
 * ```js
 * import * as React from 'react'
 * import { Avatar, AvatarGroup } from 'react-native-sketchbook'
 *
 * export const Example = () => {
 *   return (
 *     <AvatarGroup>
 *       <Avatar size={50} source={require('../assets/example1.png')}/>
 *       <Avatar size={50} source={require('../assets/example2.png')}/>
 *       <Avatar size={50} source={require('../assets/example3.png')}/>
 *       <Avatar size={50} source={require('../assets/example4.png')}/>
 *     </AvatarGroup>
 *   )
 * }
 * ```
 */
const AvatarGroup = ({ children, space = -8, }) => {
    const childElements = React.Children.toArray(children).filter((child) => {
        return React.isValidElement(child);
    });
    return (React.createElement(Row_1.Row, { style: { paddingLeft: -space } }, childElements.map((child) => {
        return React.createElement(react_native_1.View, { style: { marginLeft: space } }, child);
    })));
};
exports.AvatarGroup = AvatarGroup;
