"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckBox = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const Themes_1 = require("../Themes");
const Icons_1 = require("../Icons");
const styles = react_native_1.StyleSheet.create({
    container: {
        borderWidth: 2,
        borderRadius: 2,
        width: 16,
        height: 16,
        alignItems: 'center',
        justifyContent: 'center',
    },
    disabled: {
        opacity: 0.4,
    },
});
/**
 * CheckBox Component
 */
const CheckBox = ({ color, disabled, checked, uncheckedColor, onValueChange, }) => {
    const { primaryColor, white } = (0, Themes_1.useColors)();
    const checkedColor = color || primaryColor;
    const borderColor = uncheckedColor !== null && uncheckedColor !== void 0 ? uncheckedColor : '#555';
    const handleValueChange = React.useCallback(() => {
        onValueChange(!checked);
    }, [checked, onValueChange]);
    return (React.createElement(react_native_1.Pressable, { disabled: disabled, onPress: handleValueChange },
        React.createElement(react_native_1.View, { style: [
                styles.container,
                { borderColor },
                disabled && styles.disabled,
                checked && { borderColor: checkedColor, backgroundColor: checkedColor },
            ] }, checked && React.createElement(Icons_1.IconCheck, { color: white }))));
};
exports.CheckBox = CheckBox;
