"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseLabel = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const Icons_1 = require("../Icons");
const Utils_1 = require("../Utils");
const Themes_1 = require("../Themes");
const styles = react_native_1.StyleSheet.create({
    container: {
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor: 'red',
        borderRadius: 10,
    },
});
const BaseLabel = (_a) => {
    var { children, leadingComponent, tailingComponent, onAction, style, color } = _a, rest = __rest(_a, ["children", "leadingComponent", "tailingComponent", "onAction", "style", "color"]);
    const { dimBackgroundColor, lightTextColor } = (0, Themes_1.useColors)();
    const labelColor = color || dimBackgroundColor;
    const spaceSize = (0, Themes_1.useSpaceSizes)();
    return (React.createElement(react_native_1.View, Object.assign({ style: [
            styles.container,
            {
                paddingHorizontal: spaceSize.small,
                paddingVertical: spaceSize.xsmall,
                backgroundColor: labelColor,
            },
            style,
        ] }, rest),
        leadingComponent && (React.createElement(React.Fragment, null,
            leadingComponent,
            React.createElement(Utils_1.Margin, { size: 'xsmall' }))),
        children,
        tailingComponent && (React.createElement(React.Fragment, null,
            React.createElement(Utils_1.Margin, { size: 'xsmall' }),
            tailingComponent)),
        onAction && (React.createElement(React.Fragment, null,
            React.createElement(Utils_1.Margin, { size: 'xsmall' }),
            React.createElement(react_native_1.TouchableOpacity, { onPress: onAction },
                React.createElement(Icons_1.IconClose, { color: lightTextColor }))))));
};
exports.BaseLabel = BaseLabel;
