"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoginPage = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const Utils_1 = require("../Utils");
const Buttons_1 = require("../Buttons");
const Inputs_1 = require("../Inputs");
const Typography_1 = require("../Typography");
const Utils_2 = require("../Utils");
const Themes_1 = require("../Themes");
const styles = react_native_1.StyleSheet.create({
    container: {
        flex: 1,
        padding: 24,
        height: '100%',
        justifyContent: 'space-between',
    },
    inputArea: { flex: 1, justifyContent: 'center' },
    buttonContainer: { flex: 1, justifyContent: 'flex-end' },
    errorMessage: { fontWeight: '600' },
});
const LoginPage = ({ onPressLogin, errorMessage }) => {
    const [email, setEmail] = React.useState('');
    const [password, setPassword] = React.useState('');
    const { warningColor } = (0, Themes_1.useColors)();
    const onSubmit = React.useCallback(() => {
        onPressLogin({ email, password });
    }, [onPressLogin, email, password]);
    return (React.createElement(Utils_2.StaticPage, null,
        React.createElement(react_native_1.View, { style: styles.container },
            React.createElement(react_native_1.View, { style: styles.inputArea },
                React.createElement(Utils_1.Stack, { space: "large" },
                    React.createElement(Inputs_1.SingleLineInput, { label: 'Email', keyboardType: "email-address", autoCapitalize: "none", onChangeText: setEmail, value: email, errorMessage: '' }),
                    React.createElement(Inputs_1.SingleLineInput, { label: 'Password', autoCapitalize: "none", returnKeyType: "done", secureTextEntry: true, onChangeText: setPassword, value: password, onSubmitEditing: onSubmit, errorMessage: '' })),
                React.createElement(Typography_1.Typography, { style: styles.errorMessage, color: warningColor }, errorMessage)),
            React.createElement(Utils_1.Stack, { space: "xxlarge", style: styles.buttonContainer },
                React.createElement(Buttons_1.RoundButtonOutline, { onPress: onSubmit, disabled: !email || !password, label: 'Login' })))));
};
exports.LoginPage = LoginPage;
