"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Snackbar = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const Typography_1 = require("../Typography");
const Themes_1 = require("../Themes");
const styles = react_native_1.StyleSheet.create({
    container: {
        position: 'absolute',
        width: '100%',
        bottom: 0,
    },
    main: {
        borderRadius: 8,
        backgroundColor: 'rgba(0,0,0,0.8)',
        padding: 16,
        flexDirection: 'row',
        alignItems: 'center',
    },
    body: {
        flex: 1,
    },
});
const Snackbar = ({ children, visible, onDismiss, actionLabel = 'DISMISS', onAction, duration = 4000, }) => {
    const animated = React.useRef(new react_native_1.Animated.Value(0)).current;
    const { white } = (0, Themes_1.useColors)();
    const spaceSize = (0, Themes_1.useSpaceSizes)();
    const appear = React.useCallback(() => {
        react_native_1.Animated.timing(animated, {
            toValue: 1,
            duration: 300,
            easing: react_native_1.Easing.out(react_native_1.Easing.cubic),
            useNativeDriver: true,
        }).start();
    }, [animated]);
    const hide = React.useCallback(() => {
        react_native_1.Animated.timing(animated, {
            toValue: 0,
            duration: 300,
            easing: react_native_1.Easing.out(react_native_1.Easing.cubic),
            useNativeDriver: true,
        }).start();
    }, [animated]);
    React.useEffect(() => {
        let timerId;
        if (visible) {
            appear();
            timerId = setTimeout(() => {
                onDismiss();
            }, duration);
        }
        else {
            hide();
        }
        return () => {
            if (timerId) {
                clearTimeout(timerId);
            }
        };
    }, [visible, animated, appear, hide, duration, onDismiss]);
    return (React.createElement(react_native_1.SafeAreaView, { pointerEvents: "box-none", style: styles.container },
        React.createElement(react_native_1.Animated.View, { style: [
                styles.main,
                { margin: spaceSize.medium },
                {
                    opacity: animated,
                    transform: [
                        {
                            scale: animated.interpolate({
                                inputRange: [0, 1],
                                outputRange: [0.7, 1],
                            }),
                        },
                    ],
                },
            ] },
            React.createElement(react_native_1.View, { style: styles.body }, children),
            onAction ? (React.createElement(react_native_1.TouchableOpacity, { onPress: () => {
                    onAction();
                    onDismiss();
                } },
                React.createElement(Typography_1.Typography, { color: white }, actionLabel))) : null)));
};
exports.Snackbar = Snackbar;
