"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpaceSizes = exports.useFontSizes = exports.useColors = exports.ThemeProvider = exports.useAppearance = exports.useTheme = void 0;
const react_1 = __importDefault(require("react"));
const theme_1 = require("./theme");
const ThemeContext = react_1.default.createContext({
    appearance: 'light',
    theme: theme_1.DefaultTheme,
});
const { Provider } = ThemeContext;
const useTheme = () => {
    return react_1.default.useContext(ThemeContext).theme;
};
exports.useTheme = useTheme;
const useAppearance = () => {
    return react_1.default.useContext(ThemeContext).appearance;
};
exports.useAppearance = useAppearance;
const ThemeProvider = ({ appearance, theme = theme_1.DefaultTheme, children, }) => {
    return react_1.default.createElement(Provider, { value: { appearance, theme } }, children);
};
exports.ThemeProvider = ThemeProvider;
const useColors = () => {
    const appearance = (0, exports.useAppearance)();
    const { colors } = react_1.default.useContext(ThemeContext).theme;
    if (appearance === 'dark') {
        return colors.dark;
    }
    return colors.light;
};
exports.useColors = useColors;
const useFontSizes = () => {
    const { fontSizes } = react_1.default.useContext(ThemeContext).theme;
    return fontSizes;
};
exports.useFontSizes = useFontSizes;
const useSpaceSizes = () => {
    const { spaceSizes } = react_1.default.useContext(ThemeContext).theme;
    return spaceSizes;
};
exports.useSpaceSizes = useSpaceSizes;
