import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import { SpaceSize } from '../Themes';
declare type Props = {
    /**
     * space: margin between each child components.
     *
     * default: {
     *  none: 0;
     *  xxsmall: 2;
     *  xsmall: 4;
     *  small: 8;
     *  medium: 16;
     *  large: 24;
     *  xlarge: 32;
     *  xxlarge: 48;
     * }
     */
    space: SpaceSize;
    type?: 'horizontal' | 'vertical';
    style?: StyleProp<ViewStyle>;
};
/**
 * Stack
 * - A View component whose children will be provided with set amounts of margin
 */
export declare const Stack: React.FC<Props>;
export {};
//# sourceMappingURL=Stack.d.ts.map